### Method

# Camel DataCache get_filename

since: 2.26

#### Declaration [src]

    gchar*
    camel_data_cache_get_filename (
      CamelDataCache* cdc,
      const gchar* path,
      const gchar* key
    )

#### Description [src]

Lookup the filename for an item in the cache.

Available since: 2.26

#### Parameters

`path`

  Type: `const gchar*`

  Path to the (sub) cache the item exists in.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  Key for the cache item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The filename for a cache item.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.